{
  "name": "vite-vue3-ts-template",
  "private": true,
  "version": "0.0.0",
  "type": "module",
  "scripts": {
    "dev": "vite",
    "build": "vue-tsc --noEmit && vite build",
    "preview": "vite preview"
  },
  "dependencies": {
    "naive-ui": "^2.41.0",
    "pinia": "^3.0.2",
    "pinia-plugin-persist": "^1.0.0",
    "vue": "^3.5.13",
    "vue-router": "^4.5.0"
  },
  "devDependencies": {
    "@types/node": "^20.10.4",
    "@typescript-eslint/parser": "^8.24.0",
    "@vitejs/plugin-vue": "^5.2.1",
    "eslint": "^8.57.0",
    "eslint-config-airbnb-base": "^15.0.0",
    "eslint-plugin-import": "^2.31.0",
    "eslint-plugin-vue": "^9.32.0",
    "sass": "^1.85.0",
    "typescript": "^5.7.3",
    "vite": "^6.1.1",
    "vite-plugin-compression": "^0.5.1",
    "vite-plugin-eslint": "^1.8.1",
    "vite-plugin-svg-icons": "^2.0.1",
    "vue-tsc": "^2.2.2"
  }
}
